summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_coreboot.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-06-07 08:39:59 +0200
committerHolger Levsen <holger@layer-acht.org>2015-06-07 08:39:59 +0200
commitc8755e5d10b00ea98f8aede4f219286929ab954b (patch)
treeacceec9addc046f0d9857b94947033093267d7ce /bin/reproducible_coreboot.sh
parentccd3bce4b049bdf3550bd1ec6111f034eb61e4ed (diff)
downloadjenkins.debian.net-c8755e5d10b00ea98f8aede4f219286929ab954b.tar.xz
reproducible coreboot: dont build for arm64 yet, deal gracefully with toolchain build failing
Diffstat (limited to 'bin/reproducible_coreboot.sh')
-rwxr-xr-xbin/reproducible_coreboot.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_coreboot.sh b/bin/reproducible_coreboot.sh
index c272925e..bf34ad85 100755
--- a/bin/reproducible_coreboot.sh
+++ b/bin/reproducible_coreboot.sh
@@ -14,7 +14,7 @@ common_init "$@"
set -e
# build for different architectures
-ARCHS="i386 mips arm arm64 riscv"
+ARCHS="i386 mips arm riscv" # arm64
cleanup_tmpdir() {
cd
@@ -104,7 +104,7 @@ echo "==========================================================================
echo "$(date -u) - Building cross compilers for ${ARCHS} now."
echo "============================================================================="
for ARCH in ${ARCHS} ; do
- nice ionice -c 3 make crossgcc-$ARCH
+ nice ionice -c 3 make crossgcc-$ARCH || true # don't fail the full job just because some targets fail
done
echo "============================================================================="